<?php
//En este modelo se encuentran todas las consultas relaizadas en la tabla de Usuarios(Administrador general)
class Promociones_Model extends CI_Model
{
function fetch_data()

{
  $this->db->join('franquicias','Franquicias_IdFranquicias = IdFranquicias','inner');
  $this->db->join('categoria','Categoria_IdCategoria = IdCategoria','inner');
  $this->db->join('tipopromocion','TipoPromocion_IdTipoPromocion = IdTipoPromocion','inner');
  $this->db->order_by("IdPromociones", "NombrePromocion");
   $query = $this->db->get("promociones");
  return $query->result();
}
    function actiongeneral()
{
  $this->load->model("productos_model");
  $this->load->library("excel");
}
//Consulta que muestra las Franquicias registradas
    public function BuscarTipo(){
    $query = $this->db-> query('SELECT IdTipoPromocion,TipoPromocion FROM tipopromocion'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdTipoPromocion, ENT_QUOTES)] = htmlspecialchars($row->TipoPromocion, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
}  
//consulta que hace la busqueda del usuario dependiendo de la franquicia
    public function buscarportipo($query) {
    $this->db->where('TipoPromocion_IdTipoPromocion', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('promociones');
    if ($query->num_rows() > 0){
      return $query;
    }else{
      //  echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('reportes/Franquiciatario/RPromociones','refresh');
      echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."reportes/Franquiciatario/RPromociones';
                 </script>";
  }
}
    public function BuscarCategoria(){
     $query = $this->db-> query('SELECT IdCategoria,NombreCategoria FROM categoria'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdCategoria, ENT_QUOTES)] = htmlspecialchars($row->NombreCategoria, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
}
    public function buscarporcategoria($query) {
    $this->db->where('Categoria_IdCategoria', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('promociones');
    if ($query->num_rows() > 0){
      return $query;
    }else{   
    }
  }
 public function BuscarFranquicia(){// Realiza una consulta a la bd para buscar las franquicias que existen y poder mandar el resultado
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
}